Why freebsd 8.3?



  • Hi
    Install FreeBSD 8.3 if you want to build pfSense 2.1…in freebsd Past Releases( http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/ ), only 8.1, 8.2 and 8.4 exist.
    Why you have selected 8.3 version?
    Can i build pfsense iso image on freebsd 8.4?


  • Netgate Administrator

    8.3 and 8.4 (not sure where you saw it  :-) are too new, they are not archived yet. Hence: ftp://ftp.freebsd.org/pub/FreeBSD/releases/i386/8.3-RELEASE/

    8.3 was the most recent release in the 8 branch when 2.1 was being finalised. Initially it was built on 9.0 but the changes required to get everything working proved too extreme.

    Steve



  • @amirkabir:

    Can i build pfsense iso image on freebsd 8.4?

    pfSense doesn't simply use plain vanilla FreeBSD. More than 100 patches are applied to 8.3 during the build process.

    Patches are available/maintained for 8.3, 9.0 and 10.0 only.

    Why do you want 8.4? If it's some driver or feature, it might be backported to 8.3 (or maybe already is).



  • @Klaws:

    @amirkabir:

    Can i build pfsense iso image on freebsd 8.4?

    pfSense doesn't simply use plain vanilla FreeBSD. More than 100 patches are applied to 8.3 during the build process.

    Patches are available/maintained for 8.3, 9.0 and 10.0 only.

    Interesting. Is there any documentation that one can build pfSense image with either 9.0 or 10.0? It would be nice to know. Thanks!


  • Rebel Alliance Developer Netgate

    Build? Maybe. Work? Probably not.

    The work on 9.x was abandoned. Even if it built, the patches would be old/out of date, mostly left in case we decided to pick it up again.

    The work on 10.x is still in progress. I don't believe it builds/works yet. That probably won't be good/stable until a lot farther into the 2.2 development cycle.


Log in to reply